import random
import turtle

square = turtle.Turtle()        
window = turtle.Screen()        
dot_drawer = turtle.Turtle()  #using variable to create a object called dot_drawer  

square.shape("blank")           
dot_drawer.shape("blank")     #use dot_drawer method 'shape' to create blank shape    
window.title("ROLL THE DICE")   
window.setup(600, 400)           
window.bgcolor("light blue")    

#variables below all store a sequence of values called tuples of dot positions
one = (50,50)
two = (80,20), (20,80)
three = (80,20), (50,50),(20,80)
four = (80,20), (20,80), (20,20), (80,80)
five = (80,20), (20,80), (50,50),(20,20), (80,80)
six = (80,20), (20,80),(20,20), (80,80), (20,50), (80,50)
#The variable 'numbers' stores a list of all the dice number variables above
numbers = [one, two, three, four, five, six]

def draw_square():
    for s in range(4):
        square.forward(100)
        square.left(90)

def dice_roll(parameter_dice):  #Receives data from function call in 'While loop' and saves in variable 'parameter_dice"
    for z in parameter_dice:
        dot_drawer.penup()  #lift object's dot_drawer pen off the canvas
        dot_drawer.setpos(z)#sets the same pen down at position z (make more sense soon)
        dot_drawer.dot()    #dot_drawer pen draws a dot
        dot_drawer.penup()  #lifts pen off canvas again(for next loop code)

draw_square()                

check = True
while check:
    roll_the_dice = window.textinput("Roll the dice?", "Type y for yes and n for no") #prompts user with question (as title) and saves answer in variable
    dot_drawer.clear()                                                                  #dot_drawer.clear() function erases things drawn by dot_drawer object
    if roll_the_dice == 'y' or roll_the_dice == 'Y':
        dice_number = random.choice(numbers)            #uses random.choice method to choose a dot pattern from variable numbers and saves in variable dice_number
        dice_roll(dice_number)                          #CALLS the dice_roll() function and sends the data in dice_number variable) to function as data

    elif roll_the_dice == 'n' or roll_the_dice == 'N':
        check = False

    else:
        window.textinput("You didn't choose yes or no", "Press the OK button or enter to continue") #another window.textinput() method to prompt use for info

window.bye()                                            #once use chooses 'n' for no the while loop is existed and window.bye() closes app window
    
